DNSIncoming.MessageInputStream
Date: 2017-02-10

javax.jmdns.impl

## Class DNSIncoming.MessageInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.ByteArrayInputStream
    - - javax.jmdns.impl.DNSIncoming.MessageInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable
  Enclosing class:
    DNSIncoming

      public static class DNSIncoming.MessageInputStream
      extends java.io.ByteArrayInputStream

- - ### Field Summary

    - ### Fields inherited from class java.io.ByteArrayInputStream

      `buf, count, mark, pos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DNSIncoming.MessageInputStream(byte[] buffer, int length)`
    `DNSIncoming.MessageInputStream(byte[] buffer, int offset, int length)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `peek()`
    `int` | `readByte()`
    `byte[]` | `readBytes(int len)`
    `int` | `readInt()`
    `java.lang.String` | `readName()`
    `java.lang.String` | `readNonNameString()`
    `int` | `readUnsignedShort()`
    `java.lang.String` | `readUTF(int len)`

    - ### Methods inherited from class java.io.ByteArrayInputStream

      `available, close, mark, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.io.InputStream

      `read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DNSIncoming.MessageInputStream

          public DNSIncoming.MessageInputStream(byte[] buffer,
                                        int length)

    - #### DNSIncoming.MessageInputStream

          public DNSIncoming.MessageInputStream(byte[] buffer,
                                        int offset,
                                        int length)

      Parameters:
        `buffer` -
        `offset` -
        `length` -

  - ### Method Detail

    - #### readByte

          public int readByte()

    - #### readUnsignedShort

          public int readUnsignedShort()

    - #### readInt

          public int readInt()

    - #### readBytes

          public byte[] readBytes(int len)

    - #### readUTF

          public java.lang.String readUTF(int len)

    - #### peek

          protected int peek()

    - #### readName

          public java.lang.String readName()

    - #### readNonNameString

          public java.lang.String readNonNameString()